%global momorel 1
%global gtk2_version 2.24.15
%global gtk3_version 3.9.3

Name: gnome-themes-standard
Version: 3.22.3
Release: %{momorel}m%{?dist}
Summary: Standard themes for GNOME applications

Group: User Interface/Desktops
License: LGPLv2+
URL: http://git.gnome.org/browse/gnome-themes-standard
Source0: http://download.gnome.org/sources/%{name}/3.22/%{name}-%{version}.tar.xz
NoSource: 0
Source2: gtkrc

Obsoletes: gnome-themes <= %{version}
Provides: gnome-themes = %{version}

Obsoletes: fedora-gnome-theme <= 15.0
Provides: fedora-gnome-theme = %{version}-%{release}

Obsoletes: gnome-background-standard < 3.0.0-2
Provides: gnome-background-standard = %{version}-%{release}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: librsvg2-devel
BuildRequires: intltool gettext autoconf automake libtool
# for gtk-update-icon-cache
BuildRequires: gtk2
Requires: abattis-cantarell-fonts
Requires: adwaita-gtk2-theme = %{version}-%{release}
Requires: adwaita-icon-theme

Conflicts: adwaita-gtk3-theme < 3.13.3

%description
The gnome-themes-standard package contains the standard theme for the GNOME
desktop, which provides default appearance for cursors, desktop background,
window borders and GTK+ applications.

%package -n adwaita-gtk2-theme
Summary: Adwaita gtk2 theme
Group: User Interface/Desktops
Requires: gtk2 >= %{gtk2_version}

%description -n adwaita-gtk2-theme
The adwaita-gtk2-theme package contains a gtk2 theme for presenting widgets
with a GNOME look and feel.

%prep
%setup -q

%build
%configure
%make 

%install
make install DESTDIR=%{buildroot}

for t in HighContrast; do
  rm -f %{buildroot}%{_datadir}/icons/$t/icon-theme.cache
  touch %{buildroot}%{_datadir}/icons/$t/icon-theme.cache 
done

rm %{buildroot}%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.la

mkdir -p %{buildroot}%{_datadir}/gtk-2.0
cp $RPM_SOURCE_DIR/gtkrc %{buildroot}%{_datadir}/gtk-2.0/gtkrc

%post
for t in HighContrast; do
  touch --no-create %{_datadir}/icons/$t &>/dev/null || :
done

%posttrans
for t in HighContrast; do
  gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

%files
%doc COPYING NEWS

# Background and WM
%{_datadir}/themes/Adwaita
%{_datadir}/themes/Adwaita-dark
%exclude %{_datadir}/themes/Adwaita/gtk-2.0
%exclude %{_datadir}/themes/Adwaita-dark/gtk-2.0

# A11y themes
%ghost %{_datadir}/icons/HighContrast/icon-theme.cache
%{_datadir}/icons/HighContrast
%{_datadir}/themes/HighContrast

%files -n adwaita-gtk2-theme
# gtk2 Theme and engine
%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so
%{_datadir}/themes/Adwaita/gtk-2.0
%{_datadir}/themes/Adwaita-dark/gtk-2.0
# Default gtk2 settings
%{_datadir}/gtk-2.0/gtkrc

%changelog
* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.3-1m)
- update to 3.22.3

* Sun Nov 30 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- revert to 3.14.2

* Thu Nov 27 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.15.2-1m)
- update to 3.15.2

* Sun Nov 16 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- update to 3.14.2

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-2m)
- update

* Sun Aug 24 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.0-1m)
- update to 3.12.0

* Thu Sep 27 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.0.2-1m)
- update to 3.6.0.2

* Fri Sep 21 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.92-1m)
- update to 3.5.92

* Thu Sep  6 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.91-1m)
- update to 3.5.91

* Tue Aug 21 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.90-1m)
- update to 3.5.90

* Tue Jul 17 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.4-1m)
- update to 3.5.4

* Wed Jul 11 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.3-2m)
- revise %%files

* Sun Jul 08 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.3-1m)
- reimport from fedora

* Wed Oct 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.1-1m)
- update to 3.2.1

* Thu Sep 29 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0.2-1m)
- update to 3.2.0.2

* Tue Sep 20 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.92-1m)
- update to 3.1.92

* Sun Sep 11 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.91-1m)
- update to 3.1.91

* Sat May 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.2-1m)
- update to 3.0.2

* Thu May 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Thu May 12 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.0-2m)
- obsoletes gnome-themes

* Sun Apr 17 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.0-1m)
- initial build

